## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           plantri
Version:        5.5
Release:        %autorelease
Summary:        Generate certain types of planar graphs

%global upstreamver %(sed 's/\\.//g' <<< %{version})

License:        Apache-2.0
URL:            https://users.cecs.anu.edu.au/~bdm/plantri/
Source0:        %{url}plantri%{upstreamver}.tar.gz
# Eliminate many warnings about use of uninitialized variables
Patch0:         %{name}-uninitialized.patch

BuildRequires:  gcc
BuildRequires:  make

%description
Plantri and fullgen are programs for generating certain types of planar
graphs.  The authors are Gunnar Brinkmann (University of Ghent) and
Brendan McKay (Australian National University).

Graphs are generated in such a way that exactly one member of each
isomorphism class is output without the need for storing them.  The
speed of generation is more than 2,000,000 graphs per second in many
cases, so extremely large classes of graph can be exhaustively listed.

%prep
%autosetup -n %{name}%{upstreamver} -p1

%build
%make_build CFLAGS='%{build_cflags}' LDFLAGS='%{build_ldflags}'

%install
mkdir -p %{buildroot}%{_bindir}
cp -p plantri fullgen %{buildroot}%{_bindir}

%files
%doc fullgen-guide.txt more-counts.txt plantri-guide.txt
%license LICENSE-2.0.txt
%{_bindir}/plantri
%{_bindir}/fullgen

%changelog
## START: Generated by rpmautospec
* Fri Jun 07 2024 Jerry James <loganjerry@gmail.com> - 5.5-1
- Version 5.5

* Fri Jan 26 2024 Jerry James <loganjerry@gmail.com> - 5.4-1
- Version 5.4

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 28 2023 Jerry James <loganjerry@gmail.com> - 5.3-1
- Initial RPM

## END: Generated by rpmautospec
